﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace kresleni
{
    public partial class Area : UserControl
    {
        public Area()
        {
            InitializeComponent();
        }

        public void updateArea ()
        {
            new Dot (this, 0, 0);
            new Dot (this, 1, 0);
            new Dot (this, 0, 1);
            new Dot (this, 1, 1);
            new Dot (this, 0, 0.5);
            new Dot (this, 1, 0.5);
            new Dot (this, 0.5, 0);
            new Dot (this, 0.5, 1);
        }

        bool down = false;
        int X0, Y0;
        private void Area_MouseDown(object sender, MouseEventArgs e)
        {
            down = true;
            X0 = e.X;
            Y0 = e.Y;
        }
        private void Area_MouseMove(object sender, MouseEventArgs e)
        {
            if (down)
            {
                if (e.Button == MouseButtons.Left)
                {
                    Left += e.X - X0;
                    Top += e.Y - Y0;
                }
                else if (e.Button == MouseButtons.Right)
                {
                    Width += e.X - X0;
                    Height += e.Y - Y0;
                    X0 = e.X;
                    Y0 = e.Y;
                }
            }
        }
        private void Area_MouseUp(object sender, MouseEventArgs e)
        {
            down = false;
        }


        private void setColorToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                BackColor = colorDialog1.Color;
            }
        }

        private void openImageToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                BackgroundImage = new Bitmap(openFileDialog1.FileName);
                BackgroundImageLayout = ImageLayout.Zoom;
                stretchToolStripMenuItem.Checked = false;
            }
        }
        private void stretchToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (BackgroundImageLayout == ImageLayout.Zoom)
            {
                BackgroundImageLayout = ImageLayout.Stretch;
                stretchToolStripMenuItem.Checked = true;
            }
            else
            {
                BackgroundImageLayout = ImageLayout.Zoom;
                stretchToolStripMenuItem.Checked = false;
            }
        }

        private void Area_SizeChanged(object sender, EventArgs e)
        {
            if (Parent != null)
              foreach (Control c in Parent.Controls)
                if (c is Dot)
                {
                    Dot d  = c as Dot;
                    if (d.comp == this)
                       d.updatePosition ();
                }
        }
    }
}
