﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace kresleni
{
    public partial class Dot : UserControl
    {
        public ContainerControl comp;
        private double relx, rely;

        public Dot (ContainerControl c, double x, double y)
        {
            InitializeComponent();
            comp = c;
            relx = x;
            rely = y;

            comp.Parent.Controls.Add (this);
            Left = comp.Left + (int)(relx * (comp.Width-this.Width));
            Top = comp.Top + (int)(rely * (comp.Height-this.Height));
            BringToFront();
        }

        public void updatePosition()
        {
            if (!down)
            {
                Left = comp.Left + (int)(relx * (comp.Width - this.Width));
                Top = comp.Top + (int)(rely * (comp.Height - this.Height));
            }
        }

        private bool down = false;
        private int X0, Y0, T0, L0, W0, H0;
        private void Dot_MouseDown(object sender, MouseEventArgs e)
        {
            down = true;
            X0 = e.X;
            Y0 = e.Y;

            T0 = comp.Top;
            L0 = comp.Left;
            W0 = comp.Width;
            H0 = comp.Height;
        }
        private void Dot_MouseMove(object sender, MouseEventArgs e)
        {
            if (down)
            {
                Left += e.X - X0;
                Top += e.Y - Y0;

                if (relx == 0)
                {
                    comp.Left += e.X - X0;
                    comp.Width -= e.X - X0;
                }
                else if (relx == 0.5)
                    comp.Left += (e.X - X0) / 2;
                else
                    comp.Width += e.X - X0;

                if (rely == 0)
                {
                    comp.Top += e.Y - Y0;
                    comp.Height -= e.Y - Y0;
                }
                else if (rely == 0.5)
                    comp.Top += (e.Y - Y0) / 2;
                else
                    comp.Height += e.Y - Y0;

                // comp.Left -= (int) (1-relx) * (e.X - X0);
                // comp.Top -= (int) (1-rely) * (e.Y - Y0);
                // X0 = e.X;
                // Y0 = e.Y;
            }
        }
        private void Dot_MouseUp(object sender, MouseEventArgs e)
        {
            down = false;
        }
    }
}
